Summary: A 3D mesh generator with pre- and post-processing facilities
Name: gmsh
# Version: 1.0
#Version: %{gmshversion}
Version: 2.3.1
Source: %{name}-%{version}-source.tar.bz2
SOURCE1: tetgen1.4.2.tar.bz2
SOURCE2: gmsh.pdf
Patch:   gmsh-2.3.1.patch
Release: 1
#Copyright: GPL
License: GPL
Group: Applications/Engineering
URL: http://www.geuz.org/gmsh/
Packager: geuz@geuz.org
Prereq: /sbin/install-info
Buildroot: /var/tmp/%{name}-buildroot
#Requires: Mesa >= 3.2
# Comment out the next line makes use of occ optional.
Requires: OpenCascadeModule >= 6.3
BuildRequires: fltk-devel >= 1.1.7
Prefix: /usr

%description 
Gmsh is an automatic three-dimensional finite element mesh generator,
primarily Delaunay, with built-in pre- and post-processing
facilities. Its primal design goal is to provide a simple meshing tool
for academic test cases with parametric input and up to date
visualization capabilities. Gmsh requires OpenGL (or Mesa) to be
installed on your system.

Install Gmsh if you need a simple 3D finite element mesh generator
and/or post-processor.

%prep

%setup -q
%patch -p1
cp $RPM_SOURCE_DIR/gmsh.pdf doc/.
cd contrib/Tetgen
tar --strip-components 1 -xjpf $RPM_SOURCE_DIR/tetgen1.4.2.tar.bz2
/bin/rm -f makefile
cd ../..
chown -R root.root .
chmod -R a+rX,g-w,o-w .

%build
# Note: -ldl is needed if OCC libraries are shared
env LIBS=-ldl ./configure --enable-tetgen --enable-netgen \
	    --enable-occ --with-occ-prefix=/usr/local/occ #--disable-gui
make
make utils
make doc-info
strip bin/gmsh
rm -rf CVS */CVS */*/CVS

cp contrib/Metis/README LICENSE.metis
cp contrib/Netgen/COPYING.LIB LICENSE.netgen
cp contrib/Tetgen/LICENSE LICENSE.tetgen

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/info

install -m 755 bin/gmsh $RPM_BUILD_ROOT/usr/bin/gmsh.bin
cat << END >$RPM_BUILD_ROOT/usr/bin/gmsh
#!/bin/bash
export LD_LIBRARY_PATH=/usr/local/occ/lib:
exec /usr/bin/gmsh.bin "\$@"
END
chmod 755 $RPM_BUILD_ROOT/usr/bin/gmsh
install -m 755 bin/dxf2geo $RPM_BUILD_ROOT/usr/bin/dxf2geo
install -m 755 bin/mshsort $RPM_BUILD_ROOT/usr/bin/mshsort
install -m 644 doc/gmsh.1 $RPM_BUILD_ROOT/usr/share/man/man1/gmsh.1
install -m 644 doc/texinfo/gmsh.info* $RPM_BUILD_ROOT/usr/share/info/

%post
/sbin/install-info /usr/share/info/gmsh.info /usr/share/info/dir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/LICENSE.txt doc/VERSIONS.txt doc/FAQ.txt doc/CREDITS.txt doc/gmsh.pdf demos tutorial LICENSE.metis LICENSE.netgen LICENSE.tetgen
/usr/bin/gmsh
/usr/bin/gmsh.bin
/usr/bin/dxf2geo
/usr/bin/mshsort
/usr/share/man/man1/gmsh*
/usr/share/info/gmsh*
